ServerEvents.recipes(event=> {
  event.custom({
    "type": "thermal:smelter",
    "ingredients": [
    {
      "item": "thermal:enderium_ingot",
      "count": 1
    },
    {
      "item": "minecraft:leather",
      "count": 1
    }
  ],
  "result": [
    {
      "item": "minecraft:phantom_membrane",
      "count": 1
    }
  ],
  "energy": 4000
  })
 })